## thunderbird 2.0.0.22+build1+nobinonly

=== security/nss/lib/ckfw/capi/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.2.2.3 $ $Date: 2007/05/09 01:38:15 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk

EXTRA_LIBS = \
	$(DIST)/lib/$(LIB_PREFIX)nssckfw.$(LIB_SUFFIX) \
	$(DIST)/lib/$(LIB_PREFIX)nssb.$(LIB_SUFFIX) \
	$(NULL)

# can't do this in manifest.mn because OS_TARGET isn't defined there.
ifeq (,$(filter-out WIN%,$(OS_TARGET)))

ifdef NS_USE_GCC
EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
else 
EXTRA_SHARED_LIBS += \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.lib \
        crypt32.lib \
	advapi32.lib \
	rpcrt4.lib \
        $(NULL)
endif # NS_USE_GCC
else

EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
endif


include $(CORE_DEPTH)/coreconf/rules.mk

# Generate certdata.c.
generate:
	$(PERL) certdata.perl < certdata.txt

# This'll need some help from a build person.


ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.1)
DSO_LDOPTS              = -bM:SRE -bh:4 -bnoentry
EXTRA_DSO_LDOPTS        = -lc
MKSHLIB                 = xlC $(DSO_LDOPTS)

$(SHARED_LIBRARY): $(OBJS)
	@$(MAKE_OBJDIR)
	rm -f $@
	$(MKSHLIB) -o $@ $(OBJS) $(EXTRA_LIBS) $(EXTRA_DSO_LDOPTS)
	chmod +x $@

endif

ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.2)
LD      += -G
endif

## thunderbird 2.0.0.24+build1+nobinonly

=== directory/c-sdk/ldap/libraries/libldif/Makefile ===
# Generated automatically from Makefile.in by configure.
# 
# The contents of this file are subject to the Netscape Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/NPL/
#  
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#  
# The Original Code is Mozilla Communicator client code, released
# March 31, 1998.
# 
# The Initial Developer of the Original Code is Netscape
# Communications Corporation. Portions created by Netscape are
# Copyright (C) 1998-1999 Netscape Communications Corporation. All
# Rights Reserved.
# 
# Contributor(s): 
#

MOD_DEPTH = ../../..
srcdir = .
topsrcdir = ../../..

include $(MOD_DEPTH)/config/autoconf.mk
include $(topsrcdir)/build.mk

SRCS		= line64.c

REALOBJS	= $(SRCS:.c=.$(OBJ_SUFFIX))
OBJS		= $(addprefix $(OBJDIR_NAME)/, $(REALOBJS))

HDIR		= $(topsrcdir)/ldap/include

LIBLDIF		= $(addprefix $(OBJDIR_NAME)/, $(LIB_PREFIX)$(LDIF_LIBNAME).$(LIB_SUFFIX))

INSTALLDIR      = $(DIST)/$(OBJDIR_NAME)

include $(topsrcdir)/config/rules.mk

GARBAGE 	+= $(LIBLDIF)

LOCAL_INCLUDES  = -I$(PUBLIC)/nspr
INCLUDES	+= -I$(HDIR) -I$(INSTALLDIR)/include -I$(DIST)/include
DEFINES		+= $(DEFS)

PLATFORMCFLAGS	= -DUSE_WAITPID -DNEEDPROTOS
PLATFORMLIBS	=
THREADS		=
THREADSLIB	=

###########################################################################

versiont.c:	Makefile.client Version.c
	@$(RM) $@
	@(u="$${USER-root}" v="$(shell cat ../../build/version)" d="$(shell pwd)" \
	h="$(shell hostname)" t="$(shell date)"; $(SED) -e "s|%WHEN%|$${t}|" \
	-e "s|%WHOANDWHERE%|$${u}@$${h}:$${d}|" \
	-e "s|%VERSION%|$${v}|" \
	< Version.c > $@)

export::    $(OBJDEST) $(LIBDIR) $(OBJS) $(LIBLDIF)

$(LIBDIR):
	$(MKDIR) $(LIBDIR)

$(LIBLDIF): $(OBJS) $(LIBDIR)
	@echo ======= making $(LIBLDIF)
ifdef SO_FILES_TO_REMOVE
	-$(RM) $(SO_FILES_TO_REMOVE)
endif
	$(LINK_LIB)

veryclean:: clean

$(OBJDEST):
	$(MKDIR) $(OBJDEST)

export::	$(LIBLDIF)
	$(INSTALL) -m 444 $(LIBLDIF) $(dist_libdir)

## thunderbird 16.0.1+build1

=== debian/changelog ===
thunderbird (16.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_1_BUILD1)
    - see LP: #1065292 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Oct 2012 23:45:15 +0100

thunderbird (16.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_16_0_BUILD1)
    - see LP: #1062587 for USN information

  * Update globalmenu-extension to 3.5.4
    - Fix LP: #1045196 - "Messages->Move To" menu is empty
    - Fix LP: #1051152 - Crash in nsIContent::SetAttr
    - Improve handling of radio items, and work correctly for radio items
      without a name
    - Stop causing nested DOM mutations. There is a big warning about doing
      this in nsIMutationObserver.h
    - Delay processing of DOM mutations during code sections when we are
      dispatching events. This should prevent a recurrence of
      reentrancy-triggered crashes such as LP: #1025011, LP: #1035305 and
      LP: #1051152, which have been exposed by updates of third-party addons
      recently and caused because our view of the menu changes during
      event delivery
    - Fix crash in uGlobalMenuDocListener::HandleMutations
  * Fix for bmo: #795395
    - add debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series
  * Drop compare-locales from the packaging, and just check out the current
    version when we create the tarball
    - update debian/build/mozbuild.mk
    - update debian/build/create-tarball.py
    - remove debian/build/compare-locales
  * Ensure the Apport hook parses the system preferences
    - update debian/apport/source_thunderbird.py.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Aug 2012 22:44:09 +0100

thunderbird (15.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_1_BUILD1)
    - see LP: #1049428 for USN information

  * Update globalmenu-extension to 3.4.2
    - Fix LP: #1045196 - "Messages->Move To" menu is empty

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 12 Sep 2012 03:04:00 +0100

thunderbird (15.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)
    - see LP: #1042165 for USN information

  * Update globalmenu-extension to 3.4.1
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Keep the menu we export in sync with the document tree all of the
      time, rather than only when the menus are on screen. The HUD likes to
      open submenus without opening any of its ancestors, which can result in
      us handling events on menu nodes that are no longer in a document
      if an ancestor responds to a bubbled-up event by removing its
      children
    + Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fix LP: #775080 - Thunderbird with Firetray/MinimizeToTray -
      Global menu disappears
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #775305 - Use style to determine menuitem visibility
  * Ensure the Apport hook parses the system preferences on Natty
    - update debian/apport/source_thunderbird.py.in
  * Make thunderbird-dbg depend on the correct version of thunderbird
    - update debian/control
  * Separate the package name from the application name. This enables us to
    change the package name without having to modify the application (eg,
    to allow us to provide official branded versions of Thunderbird ESR using
    the package name "thunderbird-esr"). In doing this, also drop the patch we
    had to rename Thunderbird in nightlies, and just use some magic in debian/rules
    instead
    - update debian/apport/source_thunderbird.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control.in
    - update debian/control.langpacks
    - update debian/control.langpacks.unavail
    - remove debian/patches/change-moz-app-name.patch
    - update debian/patches/series
    - update debian/rules
    - update debian/thunderbird.install.in
    - update debian/thunderbird.links.in
    - update debian/thunderbird.lintian-overrides.in
    - update debian/thunderbird.postinst.in
    - update debian/thunderbird.postrm.in
    - update debian/thunderbird.preinst.in
    - update debian/thunderbird.sh.in
  * Move parts of debian/rules that can be shared with Firefox to a
    new, common file (mozbuild.mk)
    - update debian/rules
    - add debian/build/mozbuild.mk
    - add debian/build/mozvars.mk
    - update debian/build/testsuite.mk
  * Make it possible to use the same create-tarball.py for Firefox and
    Thunderbird
    - update debian/build/create-tarball.py
    - update debian/build/get-orig-source.mk
    - add debian/config/tarball.conf
  * Switch to source format 3.0
    - add debian/source/format
    - add debian/source/options to diff-ignore the .mozclient.mk file which
      is created during clean, and to pass "--no-preparation"
    - update debian/build/enable-dist-patches.pl
    - rename debian/patches/series => debian/patches/series.in so the source
      isn't built with patches applied
    - add debian/README.source
  * Goodbye embedded tarball, and our use of tarball.mk!
    - update debian/build/create-tarball.py
    - update debian/build/extract-file.py
    - update debian/build/get-orig-source.mk


=== debian/control ===
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.natty.ppa
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	m4,
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	yasm-1 (>= 1.1) | yasm (>= 1.1),
	imagemagick,
	libdbusmenu-gtk-dev,
	docbook-to-man,
	libkrb5-dev,
	unzip
Standards-Version: 3.9.1

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0
Suggests: ${support:Suggests},
	latex-xft-fonts,
	libthai0
Breaks: ${app:Breaks}
Replaces: ${app:Replaces}
Conflicts: ${app:Conflicts}
Provides: mail-reader
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${gconf:Depends}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: devel
Depends: thunderbird (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
Description: Email, RSS and newsgroup client - development files
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the headers and SDK for building plugins and extensions
 with Thunderbird

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: thunderbird-globalmenu
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	thunderbird (= ${binary:Version})
Description: Unity appmenu integration for Thunderbird
 This package provides an extension which adds support for the Unity
 appmenu to Thunderbird

# Transitional packages below here

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}
Description: Transitional Bengali language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-gb
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-en-us
Architecture: all
Depends: thunderbird-locale-en, ${misc:Depends}
Description: Transitional English language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-ar
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-es-es
Architecture: all
Depends: thunderbird-locale-es, ${misc:Depends}
Description: Transitional Spanish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: thunderbird-locale-fy, ${misc:Depends}
Description: Transitional Western Frisian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ga-ie
Architecture: all
Depends: thunderbird-locale-ga, ${misc:Depends}
Description: Transitional Irish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nb-no
Architecture: all
Depends: thunderbird-locale-nb, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-nn-no
Architecture: all
Depends: thunderbird-locale-nn, ${misc:Depends}
Description: Transitional Norwegian language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pa-in
Architecture: all
Depends: thunderbird-locale-pa, ${misc:Depends}
Description: Transitional Punjabi language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-br
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-pt-pt
Architecture: all
Depends: thunderbird-locale-pt, ${misc:Depends}
Description: Transitional Portugese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-sv-se
Architecture: all
Depends: thunderbird-locale-sv, ${misc:Depends}
Description: Transitional Swedish language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-ta-lk
Architecture: all
Depends: thunderbird-locale-ta, ${misc:Depends}
Description: Transitional Tamil language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-cn
Architecture: all
Depends: thunderbird-locale-zh-hans, ${misc:Depends}
Description: Transitional Simplified Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-zh-tw
Architecture: all
Depends: thunderbird-locale-zh-hant, ${misc:Depends}
Description: Transitional Traditional Chinese language pack for Thunderbird
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: thunderbird-locale-af
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Thunderbird
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: thunderbird-locale-ar
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Arabic language pack for Thunderbird
 This package contains Arabic translations and search plugins
 for Thunderbird

Package: thunderbird-locale-ast
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Asturian language pack for Thunderbird
 This package contains Asturian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-be
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Belarusian language pack for Thunderbird
 This package contains Belarusian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bg
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bulgarian language pack for Thunderbird
 This package contains Bulgarian translations and search plugins
 for Thunderbird

Package: thunderbird-locale-bn
Architecture: any
Depends: thunderbird (>= ${source:Version}), thunderbird (<< ${source:Version}.1~),
	${misc:Depends}
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bengali language pack for Thunderbird
 This package contains Bengali translations and search plugins
 for Thunderbird

Package: thunderbird-locale-br

=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/build/mozvars.mk
include $(CURDIR)/debian/config/branch.mk

MOZ_PKG_BASENAME	:= thunderbird
MOZ_APP			:= mail
MOZ_VENDOR		:=
MOZ_MOZDIR		:= mozilla
MOZ_DEFAULT_APP_BASENAME := Thunderbird

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_BUILD_UNOFFICIAL))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= nightly
endif
endif
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_DIR	:= other-licenses/branding/thunderbird
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_DIR	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_SEARCHPLUGIN_DIR	= $(MOZ_LIBDIR)/distribution/searchplugins

ifeq (,$(filter lucid maverick natty, $(DISTRIB_CODENAME)))
MOZ_ENABLE_UNITY_INTEGRATION = 1
ifneq (,$(filter oneiric, $(DISTRIB_CODENAME)))
PKG_GS_EXTRA_ARGS	:= "-Vunity:Depends=libindicate5, libdbusmenu-gtk4, libunity6, libebook1.2-12, libedataserver1.2-15"
else
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PKG_GS_EXTRA_ARGS	:= "-Vunity:Depends=libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-12, libedataserver-1.2-15"
else
PKG_GS_EXTRA_ARGS	:= "-Vunity:Depends=libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-14, libedataserver-1.2-17"
endif
endif
endif

ifeq (thunderbird,$(MOZ_PKG_NAME))
# We need to add an epoch to the version of the thunderbird-locale- packages. Don't do this for thunderbird-trunk-locale- though
LOCALE_PACKAGES := $(shell cat $(CURDIR)/debian/control | grep "^Package:[[:space:]]*$(MOZ_PKG_NAME)-locale\-" | sed -n -e 's/^Package\:[[:space:]]*\([^[:space:]]*\)/\1/ p')
DEB_VERSION	:= $(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/.*: //p')
$(foreach locale_package, $(LOCALE_PACKAGES), $(eval PKG_$(locale_package)_EXTRA_ARGS = -v1:$(DEB_VERSION)))

PKG_APP_REPLACES_ARGS	:= mozilla-thunderbird, thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3)
PKG_APP_CONFLICTS_ARGS	:= mozilla-thunderbird
PKG_APP_BREAKS_ARGS	:= thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3)
endif

PKG_SUPPORT_SUGGESTS	:= $(MOZ_PKG_NAME)-gnome-support

ifeq (1,$(MOZ_ENABLE_UNITY_INTEGRATION))
MOZ_DEFINES += -DMOZ_ENABLE_UNITY_INTEGRATION
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	$(NULL)

include $(CURDIR)/debian/build/mozbuild.mk

make-messagingmenu-addon: debian/messagingmenu/messagingmenu@mozilla.com.xpi
debian/messagingmenu/messagingmenu@mozilla.com.xpi:
	cd $(CURDIR)/debian/messagingmenu; \
		sh build.sh || exit 1; \
		mv $(CURDIR)/debian/messagingmenu/messagingmenu.xpi $(CURDIR)/debian/messagingmenu/messagingmenu@mozilla.com.xpi

make-eds-addon: debian/eds/edsintegration@mozilla.com.xpi
debian/eds/edsintegration@mozilla.com.xpi:
	cd $(CURDIR)/debian/eds; \
		LIBXUL_SDK=$(CURDIR)/$(MOZ_DISTDIR) sh build.sh || exit 1; \
		mv $(CURDIR)/debian/eds/edsintegration.xpi $(CURDIR)/debian/eds/edsintegration@mozilla.com.xpi

common-build-arch:: make-messagingmenu-addon make-eds-addon

binary-install/$(MOZ_PKG_NAME)::
	convert -resize 32x32 debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).png debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).xpm
ifeq (1, $(MOZ_ENABLE_UNITY_INTEGRATION))
	echo "/usr/share/applications/$(MOZ_APP_NAME).desktop" > debian/$(MOZ_PKG_NAME)/usr/share/indicators/messages/applications/$(MOZ_APP_NAME)
endif

pre-build::
	$(shell /usr/bin/docbook-to-man $(CURDIR)/debian/thunderbird.sgml > $(CURDIR)/debian/$(MOZ_APP_NAME).1)

ifneq ($(MOZ_APP_BASENAME),$(MOZ_DEFAULT_APP_BASENAME))
	@echo "Changing Name in application.ini to $(MOZ_APP_BASENAME)"
	@cp $(DEB_SRCDIR)/mail/app/application.ini $(DEB_SRCDIR)/mail/app/application.ini.bak; \
		sed -i 's/^\(Name\=\).*/\1$(MOZ_APP_BASENAME)/' $(DEB_SRCDIR)/mail/app/application.ini
	@echo "Setting MOZ_APP_UA_NAME to $(MOZ_DEFAULT_APP_BASENAME)"
	@cp $(DEB_SRCDIR)/mail/confvars.sh $(DEB_SRCDIR)/mail/confvars.sh.bak; \
		echo "MOZ_APP_UA_NAME=$(MOZ_DEFAULT_APP_BASENAME)" >> $(DEB_SRCDIR)/mail/confvars.sh
endif
ifneq ($(MOZ_APP_NAME),$(MOZ_DEFAULT_APP_NAME))
	@echo "Changing MOZ_APP_NAME to $(MOZ_APP_NAME)"
	@if [ ! -e $(DEB_SRCDIR)/mail/confvars.sh.bak ] ; \
	then \
		cp $(DEB_SRCDIR)/mail/confvars.sh $(DEB_SRCDIR)/mail/confvars.sh.bak ; \
	fi ; \
	sed -i 's/^\(MOZ_APP_NAME\=\).*/\1$(MOZ_APP_NAME)/' $(DEB_SRCDIR)/mail/confvars.sh
	@$(foreach file,mail/app/profile/all-thunderbird.js $(MOZ_BRANDING_DIR)/thunderbird-branding.js, \
		echo "Replacing instances of \"%APP%\" with \"thunderbird\" in $(file)"; \
		sed -ri 's/%APP%/thunderbird/g' $(DEB_SRCDIR)/$(file);)
endif

clean::
	rm -f debian/messagingmenu/*.xpi
	rm -f debian/eds/*.xpi
	rm -f debian/eds/components/*.xpt
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/mail/app/application.ini)
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/mail/confvars.sh)
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/mail/app/profile/all-thunderbird.js)
	$(call RESTORE_BACKUP, $(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/thunderbird-branding.js)
	rm -f debian/$(MOZ_APP_NAME).1
